
/* Mouse */
.stiDesignerTextBoxEnumerator_Mouse {    
    border: 1px solid @MobileDesignerControlsBorderColor;    
    color: @MobileDesignerFontColor;
	background: @MobileDesignerControlsBackgroundColor;
}

.stiDesignerTextBoxEnumeratorOver_Mouse {
    border: 1px solid @MobileDesignerControlsOverBorderColor; 
    color: @MobileDesignerFontColor;
	background: @MobileDesignerControlsBackgroundColor;
}

.stiDesignerTextBoxEnumeratorDisabled_Mouse {    
    border: 1px solid @MobileDesignerControlsDisabledBorderColor;
    color: @MobileDesignerFontDisabledColor;
	background: @MobileDesignerControlsBackgroundColor;
}

/* Touch */
.stiDesignerTextBoxEnumerator_Touch {    
    border: 1px solid @MobileDesignerControlsBorderColor;    
    color: @MobileDesignerFontColor;
	background: @MobileDesignerControlsBackgroundColor;
}

.stiDesignerTextBoxEnumeratorOver_Touch {    
    border: 1px solid @MobileDesignerControlsOverBorderColor;
	color: @MobileDesignerFontColor;
	background: @MobileDesignerControlsBackgroundColor;   
}

.stiDesignerTextBoxEnumeratorDisabled_Touch {    
    border: 1px solid @MobileDesignerControlsDisabledBorderColor;
	color: @MobileDesignerFontDisabledColor;
	background: @MobileDesignerControlsBackgroundColor;
}


.stiDesignerTextBoxEnumerator_TextBoxDefault {    
    color: @MobileDesignerFontColor;
}

.stiDesignerTextBoxEnumerator_TextBoxDisabled {    
    color: @MobileDesignerFontDisabledColor;
}

/* Mouse */
.stiDesignerTextBoxEnumerator_TextBox_Mouse {    
    font-size: 12px;
    height: 21px;
    border: 0px;    
    margin: 0px;
    padding: 0px 0px 0px 4px;
    font-family: Arial;
    -webkit-border-radius: 0px;
    outline: none;
    background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(hsla(0,0%,100%,0)), to(hsla(0,0%,100%,0)));
    background-image: -webkit-linear-gradient(hsla(0,0%,100%,0), hsla(0,0%,100%,0));
    background: @MobileDesignerControlsBackgroundColor;
}

/* Touch */
.stiDesignerTextBoxEnumerator_TextBox_Touch {    
    font-size: 12px;
    height: 26px;
    border: 0px;   
    margin: 0px;
    padding: 0px 0px 0px 4px;
    font-family: Arial;
    -webkit-border-radius: 0px;
    outline: none;
    background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(hsla(0,0%,100%,0)), to(hsla(0,0%,100%,0)));
    background-image: -webkit-linear-gradient(hsla(0,0%,100%,0), hsla(0,0%,100%,0));
    background: @MobileDesignerControlsBackgroundColor;
}

/* Mouse */
.stiDesignerTextBoxEnumeratorButton_Mouse {
    height: 10px;
    color: @MobileDesignerFontColor;
    cursor: default;
    font-family: Arial;
    font-size: 12px;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}

.stiDesignerTextBoxEnumeratorButtonOver_Mouse {
    height: 10px;
    color: @MobileDesignerFontColor;
    cursor: default;
    font-family: Arial;
    font-size: 12px;
    background: @MobileDesignerButtonOverBackgroundColor;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}

.stiDesignerTextBoxEnumeratorButtonSelected_Mouse {
    height: 10px;
    color: @MobileDesignerFontColor;
    cursor: default;
    font-family: Arial;
    font-size: 12px;
    background: @MobileDesignerButtonSelectedBackgroundColor;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;   
}

.stiDesignerTextBoxEnumeratorButtonDisabled_Mouse {
    height: 10px;
    cursor: default;
    font-family: Arial;
    font-size: 12px;
    color: @MobileDesignerFontDisabledColor;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;   
}

/* Touch */
.stiDesignerTextBoxEnumeratorButton_Touch {
    height: 12px;
    color: @MobileDesignerFontColor;
    cursor: default;
    font-family: Arial;
    font-size: 12px;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}

.stiDesignerTextBoxEnumeratorButtonOver_Touch {
    height: 12px;
    color: @MobileDesignerFontColor;
    cursor: default;
    font-family: Arial;
    font-size: 12px;
    background: @MobileDesignerButtonOverBackgroundColor;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}

.stiDesignerTextBoxEnumeratorButtonSelected_Touch {
    height: 12px;
    color: @MobileDesignerFontColor;
    cursor: default;
    font-family: Arial;
    font-size: 12px;
    background: @MobileDesignerButtonSelectedBackgroundColor;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;   
}

.stiDesignerTextBoxEnumeratorButtonDisabled_Touch {
    height: 12px;
    cursor: default;
    font-family: Arial;
    font-size: 12px;
    color: @MobileDesignerFontDisabledColor;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}